# FileCollectionDependency

interface FileCollectionDependency : Dependency

A `FileCollectionDependency` is a Dependency on a collection of local files which are not stored in a repository.

## Properties

ARCHIVES_CONFIGURATION
Link copied to clipboard
val ARCHIVES_CONFIGURATION: String = "archives"
CLASSIFIER
Link copied to clipboard
val CLASSIFIER: String = "m:classifier"
DEFAULT_CONFIGURATION
Link copied to clipboard
val DEFAULT_CONFIGURATION: String = "default"

## Functions

because
Link copied to clipboard
abstract fun because(reason: @Nullable String)
copy
Link copied to clipboard
abstract fun copy(): Dependency
getFiles
Link copied to clipboard
abstract fun getFiles(): FileCollection
Returns the files attached to this dependency.
getGroup
Link copied to clipboard
abstract fun getGroup(): @Nullable String
getName
Link copied to clipboard
abstract fun getName(): String
getReason
Link copied to clipboard
abstract fun getReason(): @Nullable String
getVersion
Link copied to clipboard
abstract fun getVersion(): @Nullable String